Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IdeFont Class Reference

`#include <deFont.hpp>`

Inheritance diagram for IdeFont:

[legend]
List of all members.

## Public Types
enum | FontStyleFlag_t { STYLE_DEFAULT = 0, STYLE_BOLD = (0x00000001), STYLE_ITALIC = (0x00000002), STYLE_UNDERLINE = (0x00000004), STYLE_STRIKEOUT = (0x00000008), STYLE_FORCE32BIT = (0x7fffffff) }
| values for use in SetFont method More...
enum | FontPosFlag_t { POSITION_TOP = (0x00000002), POSITION_LEFT = (0x00000004), POSITION_BOTTOM = (0x00000008), POSITION_RIGHT = (0x00000010), POSITION_HCENTER = (0x00000020), POSITION_VCENTER = (0x00000040), POSITION_DEFAULT = (POSITION_TOP | POSITION_LEFT), POSITION_PERCENT = (0x00000080), POSITION_FORCE32BIT = (0x7fffffff) }
| values for use in Print2D, Print3D methods More...
## Public Member Functions
virtual int | Release ()=0
| instant destruction of this object
virtual deBoolean | SetFont (const char *Font, long Height, long StyleFlags)=0
virtual deBoolean | SetFont (IdeBitmapProxy *Font, long Height, long *Widths)=0
| currently not implemented
virtual deBoolean | SetColor (deARGB Color)=0
virtual deBoolean | SetScale (deDouble Scale)=0
virtual deFloat | GetStringWidth (char *String)=0
virtual deFloat | GetStringHeight (char *String)=0
virtual Ide2DObject * | Print2D (IdeDriver *Driver, deRect *ClipRect, deDouble X, deDouble Y, deDouble Depth, int *StringWidth, int *StringHeight, int DisplayFlags, const char *Format,...)=0
virtual deBoolean | Print3D (deVertex *Position, deVertex *Rotation, deDouble Depth, int DisplayFlags, const char *Format,...)=0
| currently not implemented
## Protected Member Functions
virtual | ~IdeFont ()

## Detailed Description

Used to create and render text onto a graphics device, in 2D or 3D. Related functions: IdeFont_CreateFont. Related classes: Ide2DObject.

## Member Enumeration Documentation

enum IdeFont::FontPosFlag_t

  | values for use in Print2D, Print3D methods Enumeration values:
  POSITION_TOP | text has its highest point at specified coordinate
  POSITION_LEFT | text is left-justified to specified coordinate
  POSITION_BOTTOM | text has its lowest point at specified coordinate
  POSITION_RIGHT | text is right-justified to specified coordinate
  POSITION_HCENTER | text is center-justified to specified coordinate
  POSITION_VCENTER | text is vertically centered around specified coordinate
  POSITION_DEFAULT |
  POSITION_PERCENT | position is specified in percentage of screen, not pixel coordinate
  POSITION_FORCE32BIT |

enum IdeFont::FontStyleFlag_t

  | values for use in SetFont method Enumeration values:
  STYLE_DEFAULT | default (plain) font
  STYLE_BOLD | bold font
  STYLE_ITALIC | italic font
  STYLE_UNDERLINE | underlined font
  STYLE_STRIKEOUT | strikeout font
  STYLE_FORCE32BIT |

## Constructor & Destructor Documentation

virtual IdeFont::~IdeFont | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

virtual deFloat IdeFont::GetStringHeight | ( | char * | String | ) | `[pure virtual]`

| Implemented in deFont.

virtual deFloat IdeFont::GetStringWidth | ( | char * | String | ) | `[pure virtual]`

| Implemented in deFont.

virtual Ide2DObject* IdeFont::Print2D | ( | IdeDriver * | Driver,
|  | deRect * | ClipRect,
|  | deDouble | X,
|  | deDouble | Y,
|  | deDouble | Depth,
|  | int * | StringWidth,
|  | int * | StringHeight,
|  | int | DisplayFlags,
|  | const char * | Format,
|  | ... |
| ) | `[pure virtual]`

| Print text into a 2D object, which can be rendered through Ide2DCollection. You can obtain the top-level Ide2DCollection from IdeRender::Get2DCollection Implemented in deFont.

virtual deBoolean IdeFont::Print3D | ( | deVertex * | Position,
|  | deVertex * | Rotation,
|  | deDouble | Depth,
|  | int | DisplayFlags,
|  | const char * | Format,
|  | ... |
| ) | `[pure virtual]`

| currently not implemented Implemented in deFont.

virtual int IdeFont::Release | ( |  | ) | `[pure virtual]`

| instant destruction of this object Implemented in deFont.

virtual deBoolean IdeFont::SetColor | ( | deARGB | Color | ) | `[pure virtual]`

| Set the color of the font. Specify a color with alpha < 255 to have a translucency in the opaque sections of text. Implemented in deFont.

virtual deBoolean IdeFont::SetFont | ( | IdeBitmapProxy * | Font,
|  | long | Height,
|  | long * | Widths
| ) | `[pure virtual]`

| currently not implemented Implemented in deFont.

virtual deBoolean IdeFont::SetFont | ( | const char * | Font,
|  | long | Height,
|  | long | StyleFlags
| ) | `[pure virtual]`

  | Set the current font settings Parameters:
  Font | A character string specifying a system-font name (ie "Arial")
  Height | The point height of the font
  FontFlags | A combination of flags specified for font style
Implemented in deFont.

virtual deBoolean IdeFont::SetScale | ( | deDouble | Scale | ) | `[pure virtual]`

| Implemented in deFont.

The documentation for this class was generated from the following file:

- deFont.hpp